#pragma once

#include <iostream>
#include <string>







template<typename V>
int calculateVectorSize(const V& v)
{
  /*int i=0;
  for(auto it=v.begin(); it!=v.end(); ++it)
  {
    ++i;
  }
  return i;*/
  return v.flatsize();
}

template<typename V>
void printVector(const V& v, const int maxnum, std::string Name = "")
{
  int size = calculateVectorSize(v);
  int maxiter = std::min(maxnum, size);
  std::cout << "Printing vector '" << Name << "' (" << maxnum << " of " << size << "):" << std::endl;
  auto it = v.begin();
  for(int i=0; i<maxiter; ++i)
  {
    std::cout<< *it <<std::endl;
    ++it;
  }
}
